GLS ShipIT 3.3.20 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.UpdateParcelWeightRequestParameter Class Reference

## Public Member Functions
String | getTrackID ()
void | setTrackID (String value)
BigDecimal | getWeight ()
void | setWeight (BigDecimal value)

## Protected Attributes
String | trackID
BigDecimal | weight

## Detailed Description

Request (input) parameters for updateParcelWeight request

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType>
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="TrackID" type="{http://fpcs.gls-group.eu/v1/Common}ReferenceNumber"/>
            <element name="Weight" type="{http://fpcs.gls-group.eu/v1/Common}Weight"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 46 of file UpdateParcelWeightRequestParameter.java.

## Member Function Documentation

## ◆ getTrackID()

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.UpdateParcelWeightRequestParameter.getTrackID | ( |  | ) |

Gets the value of the trackID property.

Returns
  possible object is String

Definition at line 63 of file UpdateParcelWeightRequestParameter.java.

## ◆ getWeight()

BigDecimal eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.UpdateParcelWeightRequestParameter.getWeight | ( |  | ) |

Gets the value of the weight property.

Returns
  possible object is String

Definition at line 87 of file UpdateParcelWeightRequestParameter.java.

## ◆ setTrackID()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.UpdateParcelWeightRequestParameter.setTrackID | ( | String | value | ) |

Sets the value of the trackID property.

Parameters

  value | allowed object is String

Definition at line 75 of file UpdateParcelWeightRequestParameter.java.

## ◆ setWeight()

void eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.UpdateParcelWeightRequestParameter.setWeight | ( | BigDecimal | value | ) |

Sets the value of the weight property.

Parameters

  value | allowed object is String

Definition at line 99 of file UpdateParcelWeightRequestParameter.java.

## Member Data Documentation

## ◆ trackID

String eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.UpdateParcelWeightRequestParameter.trackID
| protected

Definition at line 49 of file UpdateParcelWeightRequestParameter.java.

## ◆ weight

BigDecimal eu.glsgroup.fpcs.datatypes.soap.v1.shipmentprocessing.UpdateParcelWeightRequestParameter.weight
| protected

Definition at line 53 of file UpdateParcelWeightRequestParameter.java.

The documentation for this class was generated from the following file:

- UpdateParcelWeightRequestParameter.java